Subject: Re: bug#76573: 30.1; native compilation fails for record inside function
From: Andrea Corallo <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Lin Jian <[email-masked]>, [email-masked], [email-masked]
Date: Wed, 09 Jul 2025 04:33:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Lin Jian <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Tue, 17 Jun 2025 16:53:18 +0800
>> 
>> Andrea Corallo <[email-masked]> writes:
>> 
>> > Lin could you verify it works for your case?
>> 
>> I cherry-picked commit f38e969 into Emacs 30.1.  I can verify that
>> el-easydraw and emacs-aio compiles without error.
>
> Thanks.
>
> Andrea, what's next?  Should we backport to emacs-30?

Hi Eli,

I applied the patch to emacs-30.  Tests are clean here so I pushed the
backport as 05ecb2b8f02.

Closing this then.

Regards

  Andrea